Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations
GETLoad Balancing OperationsSince 0.6SynchronousAuth Required

GetCandidateVmNicsForLoadBalancer

GetCandidateVmNicsForLoadBalancer

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • listenerUuidStringRequired

    The UUID of the load balancer listener.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • ipStringRequired

      来源IP地址。

    • macStringRequired

      No description provided.

    • netmaskStringRequired

      No description provided.

    • gatewayStringRequired

      No description provided.

    • metaDataStringRequired

      元数据。

    • deviceIdIntegerRequired

      设备ID。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/load-balancers/listeners/{listenerUuid}/vm-instances/candidate-nics

/zstack/v1/load-balancers/listeners/{listenerUuid}/vm-instances/candidate-nics

Operation ID

GetCandidateVmNicsForLoadBalancer

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/load-balancers/listeners/{listenerUuid}/vm-instances/candidate-nics?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "241c356448ea4dfab7e95dd1e52a163d", "vmInstanceUuid": "5d0f9bee14d94943a4e6ec34c599dc19", "usedIpUuid": "2974a99c5bc2481cb54759c83fea8f52", "l3NetworkUuid": "a3dfb2211d6e4d538a73bb3453876654", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Jun 7, 2017 9:21:22 PM", "lastOpDate": "Jun 7, 2017 9:21:22 PM" } ] }

Change History

This API has no change history records yet.

View all change history